Bug 265704 - textproc/opensearch: Add plugins config files
Summary: textproc/opensearch: Add plugins config files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: opensearch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-08 06:10 UTC by Jose Alonso Cardenas Marquez
Modified: 2022-08-20 00:20 UTC (History)
2 users (show)

See Also:
admin: maintainer-feedback+


Attachments
update patch file v1 (47.52 KB, patch)
2022-08-08 06:10 UTC, Jose Alonso Cardenas Marquez
no flags Details | Diff
testport failed with pkg-plist (109.90 KB, text/plain)
2022-08-09 12:03 UTC, Sven Ruediger
no flags Details
patch v2 (95.92 KB, patch)
2022-08-09 20:36 UTC, Sven Ruediger
admin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez freebsd_committer 2022-08-08 06:10:38 UTC
Created attachment 235765 [details]
update patch file v1

Hi, I'm testing opensearch with wazuh manager and I see opensearch port doesn't install plugins configuration files. It can be helful for users using some opensearch plugin. Also it is recommended use static pkg-plist instead of dynamic one
Comment 1 Sven Ruediger 2022-08-09 12:03:16 UTC
Created attachment 235798 [details]
testport failed with pkg-plist

Thanks for the improvements. Testport failed with the given pkg-plist.
Could you check the patch again?
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2022-08-09 14:27:50 UTC
(In reply to Sven Ruediger from comment #1)
I forget add OPTIONS_SUB to Makefile. Please add it to Makefile and try again. Something like the following

 OPTIONS_DEFINE=        PLUGINS
 OPTIONS_DEFAULT=PLUGINS
+OPTIONS_SUB=   yes
Comment 3 Sven Ruediger 2022-08-09 20:36:51 UTC
Created attachment 235815 [details]
patch v2

Looks good. Thanks!
Comment 4 commit-hook freebsd_committer 2022-08-20 00:13:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=914541c1f3ffcf8ef7559ce59e17b33cee85e752

commit 914541c1f3ffcf8ef7559ce59e17b33cee85e752
Author:     Romain Tartière <romain@FreeBSD.org>
AuthorDate: 2022-08-19 22:26:29 +0000
Commit:     Romain Tartière <romain@FreeBSD.org>
CommitDate: 2022-08-20 00:13:34 +0000

    textproc/opensearch: Install plugins config files

    PR:             265704
    Reported by:    acm

 textproc/opensearch/Makefile | 45 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
Comment 5 commit-hook freebsd_committer 2022-08-20 00:14:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=43c14b71d3e7212d18e14b44911abffc99f40c9b

commit 43c14b71d3e7212d18e14b44911abffc99f40c9b
Author:     Romain Tartière <romain@FreeBSD.org>
AuthorDate: 2022-08-20 00:11:13 +0000
Commit:     Romain Tartière <romain@FreeBSD.org>
CommitDate: 2022-08-20 00:13:34 +0000

    textproc/opensearch: Switch to a static pkg-plist

    PR:             265704
    Reported by:    acm

 textproc/opensearch/Makefile        |  13 +-
 textproc/opensearch/pkg-plist (new) | 599 ++++++++++++++++++++++++++++++++++++
 2 files changed, 600 insertions(+), 12 deletions(-)
Comment 6 Romain Tartière freebsd_committer 2022-08-20 00:20:00 UTC
Committed with some modifications: upstream does not setup opensearch-security/opensearch.yml and only provide an example file, so I think it's better for us to do something similar.

The static pkg-plist might quickly become a PITA, I ensured it is in a dedicated commit so that we can revert it if juggling with each jar file version number starts to be too boring.

Thanks!